from django.db import models

# Create your models here.

class Voda(models.Model):
    datum = models.DateField(unique = True)
    spotreba = models.FloatField(default = '0.0')
    rozdiel_spotreby = models.FloatField(default = '0.0')
    denna_spotreba = models.FloatField(default = '0.0')
    cena_za_rozdiel_spotreby = models.FloatField(default = '0.0')
    pevna_cena_na_den_pri_vypocte = models.FloatField(default = '0.0')
    cena_za_1m3_pri_vypocte = models.FloatField(default = '0.0')

class Elektrina(models.Model):
    datum = models.DateField(unique = True)
    spotreba_den = models.FloatField(default = '0.0')
    spotreba_noc = models.FloatField(default = '0.0')
    rozdiel_spotreby_den = models.FloatField(default = '0.0')
    rozdiel_spotreby_noc = models.FloatField(default = '0.0')
    denna_spotreba_den = models.FloatField(default = '0.0')
    denna_spotreba_noc = models.FloatField(default = '0.0')
    cena_za_rozdiel_spotreby_den = models.FloatField(default = '0.0')
    cena_za_rozdiel_spotreby_noc = models.FloatField(default = '0.0')
    pevna_cena_na_den_pri_vypocte_den = models.FloatField(default = '0.0')
    pevna_cena_na_den_pri_vypocte_noc = models.FloatField(default = '0.0')
    cena_za_1kWh_pri_vypocte_den = models.FloatField(default = '0.0')
    cena_za_1kWh_pri_vypocte_noc = models.FloatField(default = '0.0')

class Plyn(models.Model):
    datum = models.DateField(unique = True)
    spotreba = models.FloatField(default = '0.0')
    rozdiel_spotreby = models.FloatField(default = '0.0')
    denna_spotreba = models.FloatField(default = '0.0')
    cena_za_rozdiel_spotreby = models.FloatField(default = '0.0')
    pevna_cena_na_den_pri_vypocte = models.FloatField(default = '0.0')
    cena_za_1m3_pri_vypocte = models.FloatField(default = '0.0')

class Cenotvorba(models.Model):
    voda_pevna_cena_na_den = models.FloatField(default = '0.0')
    voda_cena_za_1m3 = models.FloatField(default = '0.0')
    elektrina_pevna_cena_na_den_den = models.FloatField(default = '0.0')
    elektrina_pevna_cena_na_den_noc = models.FloatField(default = '0.0')
    elektrina_cena_za_1kWh_den = models.FloatField(default = '0.0')
    elektrina_cena_za_1kWh_noc = models.FloatField(default = '0.0')
    plyn_pevna_cena_na_den = models.FloatField(default = '0.0')
    plyn_cena_za_1m3 = models.FloatField(default = '0.0')