from django.urls import path
from energie import views

urlpatterns = [
    path("voda",views.voda_index,name = "voda_index"),
    path("voda/<int:id>/",views.voda_detail,name = "voda_detail"),
    path("voda/add",views.voda_add,name = "voda_add"),
    path("voda/del/<int:id>/",views.voda_del,name = "voda_del"),
    path("voda/graf",views.voda_graf,name = "voda_graf"),

    path("elektrina",views.elektrina_index,name = "elektrina_index"),
    path("elektrina/<int:id>/",views.elektrina_detail,name = "elektrina_detail"),
    path("elektrina/add",views.elektrina_add,name = "elektrina_add"),
    path("elektrina/del/<int:id>/",views.elektrina_del,name = "elektrina_del"),
    path("elektrina/graf",views.elektrina_graf,name = "elektrina_graf"),

    path("plyn",views.plyn_index,name = "plyn_index"),
    path("plyn/<int:id>/",views.plyn_detail,name = "plyn_detail"),
    path("plyn/add",views.plyn_add,name = "plyn_add"),
    path("plyn/del/<int:id>/",views.plyn_del,name = "plyn_del"),
    path("plyn/graf",views.plyn_graf,name = "plyn_graf"),

    path("settings/cenotvorba",views.settings_cenotvorba,name = "settings_cenotvorba"),
    path("settings/cenotvorba_set",views.settings_cenotvorba_set,name = "settings_cenotvorba_set"),
]